Skip to main content

Issuances

GET 

/client/users/:correlation_id/issuances

Retrieve the list of issuances provided to member accounts. Currently, these issuances consist of vouchers only.

Query Parameters

You can add query parameters to provide query information at the end of the request URL and refine your search.

KeyValueDefaultNotes/Examples
fromTimestamp in epoch format, value is a variable: {{from}}Current dateEx.: /offers?from=1553544407000
toTimestamp in epoch format, value is a variable: {{to}}Expiry dateEx: /offers?to=1663544407000
limitLimit to number of results returned: value is a variable: {{limit}}20Ex: /offers?limit=20
untilNumber of daysCurrent dateEx.: /offers?from=1553544407000&until=10
localeStringN/Aen-CA or fr-CA. Ex.: /offers?locale="en-CA"
maxResultsMaximum number of results returned20If the number > 100, then the API returns the first 100. Ex.: /offers?maxResults=5
typeType of issuanceStringCurrently "voucher" only
businessUnitThe BU with which the issuance is associatedStringEx: /offers?businessUnit=BUYCO
fromTimestamp in epoch formatNumberN/A
statusStatus of the issuanceEnum: "AVAILABLE", "REDEEMED", "EXPIRED"

Note: Mass offers do not show up from using this call.

Request

Body

This request does not have a body.

Response

AttributeDefinitionFormatNotes
accountIDUnique identifier of the account affected by the issuance.String
metadataTypeThe type of metadata for this transaction.String: "ISSUANCE"
issuanceTypeThe type of issuance.String: "VOUCHER"Currently, only "VOUCHER", values may be added in future.
businessUnitThe name of the business unit to which this issuance is relevant.String
issuanceCodeA short description of the issuance.String
issuedDateThe date of the issuance in ISO 8601 format.String
issuedDateEpochThe date of the issuance in epoch format.NumberDate/time stamp in milliseconds
expiryDateThe date the issuance expires in ISO 8601 format.String
expiryDateEpochThe date the issuance expires in epoch format.NumberDate/time stamp in milliseconds
redemptionDateThe date the issuance was redeemedin ISO 8601 format.String
redemptionDateEpochThe date the issuance was redeemed in epoch format.NumberDate/time stamp in milliseconds
statusThe current status of the issuance.Enum: "AVAILABLE", "EXPIRED", "REDEEMED"
rewardTypeThe type of reward used for the issuance.Enum: "POINTS", "DOLLARS"
rewardValueThe numeric value of the issuance.Number
extendedDataAdditional data related to the issuance.Object
notesAdditional information about the issuance in very short form.StringOnly alphanumeric characters and symbols symbols allowed, 3-128 characters

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad Requestfrom value must be within last 1 year from today's dateINVALID_REQUESTfrom value must be within the last 1 year from today's date

Request

Responses

200 - All Issuances Returned

Response Headers
    Date
    Example: Thu, 21 May 2020 03:56:11 GMT
    Content-Length
    Example: 2926
    Connection
    Example: keep-alive
    x-amzn-RequestId
    Example: 49af928e-a4e9-4df9-a28b-999dabe09acb
    Referrer-Policy
    Example: no-referrer
    X-XSS-Protection
    Example: 1;mode=block
    Access-Control-Allow-Origin
    Example: *
    Expect-CT
    Example: max-age=86400
    Strict-Transport-Security
    Example: max-age=31536000
    Feature-Policy
    Example: vibrate 'none'; geolocation 'none'
    X-Frame-Options
    Example: sameorigin
    Content-Security-Policy
    Example: connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.net
    x-amz-apigw-id
    Example: M3RKMGktIAMF2Fg=
    cache-control
    Example: no-cache, no-store, must-revalidate
    X-Content-Type-Options
    Example: nosniff
    X-Amzn-Trace-Id
    Example: Root=1-5ec5fbda-abbf0c0c0dbf6ef1550673b7;Sampled=0